# Eslint-Config-Coddle-Typescript

This package provides a pre-configured ESLint setup for TypeScript projects.

# Features

- Enforces consistent code style and best practices
- Includes a set of popular ESLint plugins (such as @typescript-eslint/eslint-plugin)
- Configured to work with the latest TypeScript syntax
- includes support for React

# Installation

Install the package as a devDependency in your project:

```bash
npm i --save-dev eslint@8.31.0 eslint-config-coddle-typescript
# or if you're using yarn
yarn add -D eslint@8.31.0 eslint-config-coddle-typescript
```

# Usage

In your `eslintrc` file you can extend like this

```js
module.exports = {
  extends: ['coddle-typescript'],
  parserOptions: {
    project: './tsconfig.json',
  },
};
```

Run ESLint on your code:

```
npx eslint .
```

## Note

Please ensure that your ESLint version is at least **8.31.0** before using this package. Additionally, if you are using this package in a React Native project, please make sure that you have **@react-native-community/eslint-config** version **3.2** or higher installed.
